---
updatedAt: 2026-04-20T19:56:08.000Z
---

Fetch the complete documentation index at: https://developers.pismo.io/pismo-docs/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# List transaction banking account status reasons

List transaction banking account status reasons.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Banking - Transaction banking",
    "version": "0.9.0",
    "description": "Transaction banking API",
    "contact": {
      "name": "API Support",
      "url": "https://developers.pismo.io/support/"
    },
    "license": {
      "name": "Copyright Pismo"
    }
  },
  "servers": [
    {
      "url": "https://sandbox.pismolabs.io",
      "description": "Sandbox API server for testing"
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "tags": [
    {
      "name": "Accounts",
      "description": "Accounts endpoints"
    }
  ],
  "components": {
    "parameters": {
      "MaxItemsParamQuery": {
        "name": "maxItems",
        "in": "query",
        "description": "Number of items on current page",
        "required": false,
        "schema": {
          "type": "integer",
          "format": "int32",
          "minimum": 1,
          "maximum": 200
        },
        "example": 100
      },
      "NextCursorParamQuery": {
        "name": "nextCursor",
        "in": "query",
        "description": "Cursor value used to get the next page",
        "required": false,
        "schema": {
          "type": "string"
        },
        "example": "MEgCQQCo9+BpMRYQ/dL3DS2CyJxRF+j6ctbT3/Qp84+KeFhnii7NT7fELilKUSnxS30WAvQCCo2yU1orfgqr41mM70MBAgMBAAE="
      },
      "PerPageMax100Query": {
        "name": "perPage",
        "in": "query",
        "description": "Items per page",
        "required": false,
        "deprecated": true,
        "schema": {
          "type": "integer",
          "format": "int32",
          "minimum": 1,
          "maximum": 100
        },
        "example": 100
      },
      "ReasonNameQuery": {
        "name": "name",
        "in": "query",
        "description": "Filter by reason name",
        "required": false,
        "schema": {
          "type": "string"
        },
        "example": "Unblocked"
      },
      "RequestedPageQuery": {
        "name": "page",
        "in": "query",
        "description": "Requested page",
        "required": false,
        "schema": {
          "type": "integer",
          "format": "int32",
          "minimum": 1
        },
        "example": 1
      },
      "StateQuery": {
        "name": "state",
        "in": "query",
        "description": "Filter by `ACTIVE` or `INACTIVE`. Default is `ACTIVE``.",
        "required": false,
        "schema": {
          "type": "array",
          "items": {
            "type": "string",
            "enum": [
              "ACTIVE",
              "INACTIVE"
            ]
          }
        },
        "example": [
          "INACTIVE"
        ]
      }
    },
    "schemas": {
      "CurrentPageCount": {
        "type": "integer",
        "format": "int32",
        "description": "Number of items on the current page",
        "example": 100
      },
      "StatusCursorHasNext": {
        "type": "boolean",
        "description": "If `true`, there are more items in the next request (retrieved using the `next_cursor` value). If `false`, this is the last page of the results.",
        "example": true
      },
      "ListStatusCreateAccountReasonID": {
        "type": "integer",
        "format": "int64",
        "description": "Reason ID",
        "example": 1234567890
      },
      "ListStatusCreateAccountReasonDescription": {
        "type": "string",
        "description": "Reason description",
        "example": "Unblocked account after settling the account."
      },
      "ListStatusCreateAccountReasonName": {
        "type": "string",
        "nullable": true,
        "description": "Reason name. The reason name is client-provided and created through [Create status reason](https://developers.pismo.io/pismo-docs/reference/v4-post-account-reason).",
        "example": "Unblocked"
      },
      "ListStatusReasonExternalId": {
        "type": "string",
        "description": "Client-generated ID that identifies a transaction from an external system.",
        "maxLength": 60,
        "example": "CREDIT_ONLY"
      },
      "ListStatusReasonResponse": {
        "type": "object",
        "description": "Object response for account reason",
        "properties": {
          "reason_id": {
            "$ref": "#/components/schemas/ListStatusCreateAccountReasonID"
          },
          "name": {
            "$ref": "#/components/schemas/ListStatusCreateAccountReasonName"
          },
          "description": {
            "$ref": "#/components/schemas/ListStatusCreateAccountReasonDescription"
          },
          "state": {
            "$ref": "#/components/schemas/ListStatusReasonState"
          },
          "reason_external_id": {
            "$ref": "#/components/schemas/ListStatusReasonExternalId"
          }
        }
      },
      "ListStatusMessageDetailsResponse": {
        "type": "object",
        "description": "Object response for a user message",
        "properties": {
          "payload": {
            "type": "array",
            "description": "Details for the request payload errors",
            "items": {
              "$ref": "#/components/schemas/ListStatusMessagePayloadResponse"
            }
          },
          "parameters": {
            "type": "array",
            "description": "Details for the query parameter errors",
            "items": {
              "$ref": "#/components/schemas/ListStatusMessageParameterResponse"
            }
          },
          "external": {
            "type": "array",
            "description": "Details for the external service error",
            "items": {
              "$ref": "#/components/schemas/ListStatusMessageExternalResponse"
            }
          }
        }
      },
      "ListStatusMessageExternalResponse": {
        "type": "object",
        "description": "Object response for detailing external errors for a user message",
        "properties": {
          "code": {
            "$ref": "#/components/schemas/ListStatusExternalServiceCode"
          },
          "message": {
            "type": "string",
            "description": "Message description from the external service"
          }
        }
      },
      "ListStatusExternalServiceCode": {
        "type": "string",
        "description": "Code returned from the external service"
      },
      "ListStatusMessageParameterResponse": {
        "type": "object",
        "description": "Object response for detailing query parameters errors for a user message",
        "properties": {
          "field": {
            "$ref": "#/components/schemas/ListStatusValidationErrorField"
          },
          "message": {
            "$ref": "#/components/schemas/ListStatusValidationErrorMessage"
          }
        }
      },
      "ListStatusMessagePayloadResponse": {
        "type": "object",
        "description": "Object response for detailing request payload errors for a user message",
        "properties": {
          "field": {
            "$ref": "#/components/schemas/ListStatusValidationErrorField"
          },
          "message": {
            "$ref": "#/components/schemas/ListStatusValidationErrorMessage"
          }
        }
      },
      "ListStatusMessageResponse": {
        "type": "object",
        "description": "Object response for user message",
        "properties": {
          "code": {
            "$ref": "#/components/schemas/ListStatusUserMessageCode"
          },
          "message": {
            "$ref": "#/components/schemas/ListStatusUserMessage"
          },
          "details": {
            "$ref": "#/components/schemas/ListStatusMessageDetailsResponse"
          }
        }
      },
      "ListStatusReasonState": {
        "type": "string",
        "description": "Reason state",
        "enum": [
          "ACTIVE",
          "INACTIVE"
        ],
        "example": "ACTIVE"
      },
      "ListStatusReasonDeprecatedResponse": {
        "type": "object",
        "description": "Deprecated status reason response",
        "properties": {
          "current_page": {
            "$ref": "#/components/schemas/StatusCurrentPageDeprecated"
          },
          "per_page": {
            "$ref": "#/components/schemas/StatusPerPageDeprecated"
          },
          "pages": {
            "$ref": "#/components/schemas/StatusNumberOfPagesDeprecated"
          },
          "total_items": {
            "$ref": "#/components/schemas/StatusTotalItemsDeprecated"
          }
        }
      },
      "ListStatusUserMessage": {
        "type": "string",
        "description": "User message",
        "example": "Timeout while executing the request"
      },
      "ListStatusUserMessageCode": {
        "type": "string",
        "description": "Code that identifies the user message",
        "example": "EACC0000"
      },
      "ListStatusValidationErrorField": {
        "type": "string",
        "description": "Field where validation returned error"
      },
      "ListStatusValidationErrorMessage": {
        "type": "string",
        "description": "Message description of the validation error"
      },
      "NextCursor": {
        "type": "string",
        "nullable": true,
        "description": "Cursor value for the next page",
        "example": "MEgCQQCo9+BpMRYQ/dL3DS2CyJxRF+j6ctbT3/Qp84+KeFhnii7NT7fELilKUSnxS30WAvQCCo2yU1orfgqr41mM70MBAgMBAAE="
      },
      "StatusCurrentPageDeprecated": {
        "type": "integer",
        "format": "int32",
        "description": "Current page",
        "example": 1,
        "deprecated": true
      },
      "StatusCursorResponse": {
        "type": "object",
        "properties": {
          "next_cursor": {
            "$ref": "#/components/schemas/NextCursor"
          },
          "has_next": {
            "$ref": "#/components/schemas/StatusCursorHasNext"
          },
          "count": {
            "$ref": "#/components/schemas/CurrentPageCount"
          }
        }
      },
      "StatusNumberOfPagesDeprecated": {
        "type": "integer",
        "format": "int32",
        "description": "Total pages",
        "example": 100,
        "deprecated": true
      },
      "StatusPerPageDeprecated": {
        "type": "integer",
        "format": "int64",
        "description": "Maximum items per page",
        "example": 100,
        "deprecated": true
      },
      "StatusReasonsResponse": {
        "type": "object",
        "description": "Paginated response for account reason",
        "allOf": [
          {
            "$ref": "#/components/schemas/StatusCursorResponse"
          },
          {
            "$ref": "#/components/schemas/ListStatusReasonDeprecatedResponse"
          }
        ],
        "properties": {
          "items": {
            "type": "array",
            "description": "List of result items",
            "items": {
              "$ref": "#/components/schemas/ListStatusReasonResponse"
            }
          }
        }
      },
      "StatusTotalItemsDeprecated": {
        "type": "integer",
        "format": "int32",
        "description": "Total items",
        "example": 500,
        "deprecated": true
      }
    },
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    }
  },
  "paths": {
    "/corporate/v1/corporate-account-status/reasons": {
      "get": {
        "operationId": "v1-get-account-status-reason",
        "summary": "List transaction banking account status reasons",
        "description": "List transaction banking account status reasons.",
        "tags": [
          "Accounts"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/NextCursorParamQuery"
          },
          {
            "$ref": "#/components/parameters/MaxItemsParamQuery"
          },
          {
            "$ref": "#/components/parameters/RequestedPageQuery"
          },
          {
            "$ref": "#/components/parameters/PerPageMax100Query"
          },
          {
            "$ref": "#/components/parameters/ReasonNameQuery"
          },
          {
            "$ref": "#/components/parameters/StateQuery"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/StatusReasonsResponse"
                },
                "examples": {
                  "Default response": {
                    "value": {
                      "next_cursor": null,
                      "has_next": false,
                      "count": 8,
                      "current_page": 0,
                      "per_page": 0,
                      "pages": 0,
                      "total_items": 0,
                      "items": [
                        {
                          "reason_id": 17,
                          "reason_external_id": "CREDIT_ONLY",
                          "name": null,
                          "description": "Credit only",
                          "state": "ACTIVE"
                        },
                        {
                          "reason_id": 18,
                          "reason_external_id": "DEBIT_ONLY",
                          "name": null,
                          "description": "Debit only",
                          "state": "ACTIVE"
                        },
                        {
                          "reason_id": 19,
                          "reason_external_id": "ALL",
                          "name": null,
                          "description": "Any",
                          "state": "ACTIVE"
                        },
                        {
                          "reason_id": 20,
                          "reason_external_id": "NONE",
                          "name": null,
                          "description": "Manual",
                          "state": "ACTIVE"
                        },
                        {
                          "reason_id": 21,
                          "reason_external_id": "CREDIT_ONLY_NO_FORCE_DEBIT_ALLOWED",
                          "name": null,
                          "description": "Credit Only - No Force Debit Allowed",
                          "state": "ACTIVE"
                        },
                        {
                          "reason_id": 22,
                          "reason_external_id": "DEBIT_ONLY_NO_FORCE_CREDIT_ALLOWED",
                          "name": null,
                          "description": "Debit Only - No Force Credit Allowed",
                          "state": "ACTIVE"
                        },
                        {
                          "reason_id": 23,
                          "reason_external_id": "ALL_NO_FORCE_ALLOWED",
                          "name": null,
                          "description": "Any - No Force Allowed",
                          "state": "ACTIVE"
                        },
                        {
                          "reason_id": 24,
                          "reason_external_id": "NONE_NO_FORCE_ALLOWED",
                          "name": null,
                          "description": "Manual - No Force Allowed",
                          "state": "ACTIVE"
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ListStatusMessageResponse"
                },
                "examples": {
                  "Invalid page parameter": {
                    "value": {
                      "code": "EACC0005",
                      "message": "One or more parameters with invalid format",
                      "detail": {
                        "payload": null,
                        "parameters": [
                          {
                            "field": "page",
                            "description": "invalid page parameters",
                            "message": "Parameter with invalid format"
                          }
                        ],
                        "external": null
                      }
                    }
                  },
                  "Invalid per page parameter": {
                    "value": {
                      "code": "EACC0005",
                      "message": "One or more parameters with invalid format",
                      "detail": {
                        "parameters": [
                          {
                            "field": "perPage",
                            "description": "Invalid per page parameter",
                            "message": "Value is not a number"
                          }
                        ]
                      }
                    }
                  },
                  "Invalid state parameter": {
                    "value": {
                      "code": "EACC0018",
                      "message": "One or more parameters with invalid format",
                      "detail": {
                        "parameters": [
                          {
                            "field": "state",
                            "description": "Invalid state parameter",
                            "message": "Value should be one of: ACTIVE, INACTIVE"
                          }
                        ]
                      }
                    }
                  },
                  "Invalid next_cursor parameter": {
                    "value": {
                      "code": "WACC0011",
                      "message": "Invalid cursor value"
                    }
                  },
                  "Invalid maxItems parameter": {
                    "value": {
                      "code": "EACC0005",
                      "message": "One or more parameters with invalid format",
                      "detail": {
                        "parameters": [
                          {
                            "field": "maxItems",
                            "description": "Invalid maxItems parameter",
                            "message": "Value must be greater than zero"
                          }
                        ]
                      }
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "Internal server error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ListStatusMessageResponse"
                },
                "examples": {
                  "Timeout execution": {
                    "value": {
                      "code": "EACC0000",
                      "message": "Timeout while executing the request"
                    }
                  },
                  "Generic message": {
                    "value": {
                      "code": "EACC9999",
                      "message": "Something went wrong, please try again later"
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
```